import 'package:flutter/material.dart';
import 'device_specification.dart';

final iosSpecs = <DeviceSpecification>[
  DeviceSpecification(
    platform: TargetPlatform.iOS,
    name: 'iPhone SE 1',
    size: Size(320.0, 568.0),
    padding: EdgeInsets.only(top: 20),
    paddingLandscape: EdgeInsets.all(0.0),
  ),
  DeviceSpecification(
    platform: TargetPlatform.iOS,
    name: 'iPhone SE 2',
    size: Size(375.0, 667.0),
    padding: EdgeInsets.only(top: 20),
    paddingLandscape: EdgeInsets.all(0.0),
  ),
  DeviceSpecification(
    platform: TargetPlatform.iOS,
    name: 'iPhone * Plus',
    size: Size(414.0, 736.0),
    padding: EdgeInsets.only(top: 20),
    paddingLandscape: EdgeInsets.all(0.0),
  ),
  DeviceSpecification(
    platform: TargetPlatform.iOS,
    name: 'iPhone X (XS, 11 Pro, 12 mini)',
    size: Size(375.0, 812.0),
    cornerRadius: 20.0,
    padding: EdgeInsets.only(top: 44.0, bottom: 34.0),
    paddingLandscape: EdgeInsets.only(left: 44.0, right: 44.0, bottom: 21.0),
    notchSize: Size(209.0, 30.0),
  ),
  DeviceSpecification(
    platform: TargetPlatform.iOS,
    name: 'iPhone 12 (12 Pro)',
    size: Size(390.0, 844.0),
    cornerRadius: 20.0,
    padding: EdgeInsets.only(top: 44.0, bottom: 34.0),
    paddingLandscape: EdgeInsets.only(left: 44.0, right: 44.0, bottom: 21.0),
    notchSize: Size(209.0, 30.0),
  ),
  DeviceSpecification(
    platform: TargetPlatform.iOS,
    name: 'iPhone XR (XS Max, 11, 11 Pro Max)',
    size: Size(414.0, 896.0),
    cornerRadius: 20.0,
    padding: EdgeInsets.only(top: 44.0, bottom: 34.0),
    paddingLandscape: EdgeInsets.only(left: 44.0, right: 44.0, bottom: 21.0),
    notchSize: Size(209.0, 30.0),
  ),
  DeviceSpecification(
    platform: TargetPlatform.iOS,
    name: 'iPhone 12 Pro Max',
    size: Size(428.0, 926.0),
    cornerRadius: 20.0,
    padding: EdgeInsets.only(top: 44.0, bottom: 34.0),
    paddingLandscape: EdgeInsets.only(left: 44.0, right: 44.0, bottom: 21.0),
    notchSize: Size(209.0, 30.0),
  ),
  DeviceSpecification(
    platform: TargetPlatform.iOS,
    name: 'iPad 9.7',
    size: Size(768.0, 1024.0),
    padding: EdgeInsets.only(top: 20.0),
    tablet: true,
  ),
  DeviceSpecification(
    platform: TargetPlatform.iOS,
    name: 'iPad 10.2',
    size: Size(810.0, 1080.0),
    padding: EdgeInsets.only(top: 20.0),
    tablet: true,
  ),
  DeviceSpecification(
    platform: TargetPlatform.iOS,
    name: 'iPad 10.5',
    size: Size(834.0, 1112.0),
    padding: EdgeInsets.only(top: 20.0),
    tablet: true,
  ),
  DeviceSpecification(
    platform: TargetPlatform.iOS,
    name: 'iPad Air 10.9 (4th)',
    size: Size(820.0, 1180.0),
    padding: EdgeInsets.only(top: 24.0, bottom: 20.0),
    tablet: true,
    cornerRadius: 20.0,
  ),
  DeviceSpecification(
    platform: TargetPlatform.iOS,
    name: 'iPad Pro 11',
    size: Size(834.0, 1194.0),
    padding: EdgeInsets.only(top: 24.0, bottom: 20.0),
    tablet: true,
    cornerRadius: 20.0,
  ),
  DeviceSpecification(
    platform: TargetPlatform.iOS,
    name: 'iPad Pro 12.9',
    size: Size(1024.0, 1366.0),
    padding: EdgeInsets.only(top: 24.0, bottom: 20.0),
    cornerRadius: 20.0,
    tablet: true,
  ),
];

final androidSpecs = <DeviceSpecification>[
  DeviceSpecification(
    platform: TargetPlatform.android,
    name: 'Pixel 3',
    size: Size(412.0, 824.0),
    padding: EdgeInsets.only(top: 24.0),
    cornerRadius: 15.0,
  ),
  DeviceSpecification(
    platform: TargetPlatform.android,
    name: 'Pixel 3 XL',
    size: Size(412.0, 846.0),
    padding: EdgeInsets.only(top: 50.0),
    paddingLandscape: EdgeInsets.only(top: 24.0, left: 50.0),
    cornerRadius: 28.0,
    notchSize: Size(186.0, 50.0),
  ),
  DeviceSpecification(
    platform: TargetPlatform.android,
    name: 'Pixel 3a',
    size: Size(393.0, 808.0),
    padding: EdgeInsets.only(top: 24.0),
    paddingLandscape: EdgeInsets.only(top: 24.0),
    cornerRadius: 15.0,
  ),
  DeviceSpecification(
    platform: TargetPlatform.android,
    name: 'Pixel 3a XL',
    size: Size(412.0, 823.0),
    padding: EdgeInsets.only(top: 24.0),
    paddingLandscape: EdgeInsets.only(top: 24.0),
    cornerRadius: 15.0,
  ),
  DeviceSpecification(
    platform: TargetPlatform.android,
    name: 'Pixel 4',
    size: Size(393.0, 830.0),
    padding: EdgeInsets.only(top: 24.0),
    paddingLandscape: EdgeInsets.only(top: 24.0),
    cornerRadius: 34.0,
  ),
  DeviceSpecification(
    platform: TargetPlatform.android,
    name: 'Pixel 4 XL',
    size: Size(412.0, 869.0),
    padding: EdgeInsets.only(top: 24.0),
    paddingLandscape: EdgeInsets.only(top: 24.0),
    cornerRadius: 34.0,
  ),
  DeviceSpecification(
    platform: TargetPlatform.android,
    name: 'Pixel 4a (5)',
    size: Size(393.0, 851.0),
    padding: EdgeInsets.only(top: 50.0),
    paddingLandscape: EdgeInsets.only(top: 24.0, left: 50.0),
    cornerRadius: 34.0,
  ),
];
